Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.session
Interface Eh2eBoxServiceV3

All Known Implementing Classes:
  Eh2eBoxServiceV3Impl

    public interface Eh2eBoxServiceV3

The Business Connector for General Practitioners provides a simplified interface to access the eH2eBox service by providing the following functionality:

- Sending a message

Pre-Requisites:
An active and valid eHealth-platform session (initiated via the Session Management component)

Default impl : `EhealthBoxServiceV3Impl`

Method Summary
`SendMessageResponse` | `sendMessage(SendMessageRequest sendMessageRequest)` The �Send Message� operation allows a message to be sent to one or more recipients.

Method Detail

### sendMessage

    SendMessageResponse sendMessage(SendMessageRequest sendMessageRequest)
                                    throws ConnectorException

  The �Send Message� operation allows a message to be sent to one or more recipients. The sender has to be option to:

  - Provide one or more recipients (parameter �destinationContexts� provided as part of the request)
  - Send the new message in reply of an existing message to all original recipients, including the sender (parameter �messageIdForReplyToAll� provided as part of the request)
  - Send the new message in reply of an existing message to the original sender (parameter 'messageIdForReply' provided as part of the request)
  Only one of the above parameters can be present.

  Parameters:
    `sendMessageRequest` -
  Returns:
    Response containing an id, the status and the publication ID.
  Throws:
    `ConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.